Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154436 - kernel dm-multipath: Speed up path testing by inserting test I/O at front of queue
Summary: kernel dm-multipath: Speed up path testing by inserting test I/O at front of ...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: LVM and device-mapper development team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 17:58 UTC by Alasdair Kergon
Modified: 2008-10-22 20:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-22 20:53:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Novell 81694 None None None Never

Description Alasdair Kergon 2005-04-11 17:58:24 UTC
Provide a facility for the tools to insert test I/O at the front of the queue.

In the interest of reducing delay time when testing either good or
failed paths, could we (2) insert the test path i/os at the
head of the path's block i/o queue?
                                                                               
                                                     
Currently the scsi_cmd_ioctl->sg_io->blk_execute_rq code
path for a multipath test i/o unconditionally
inserts the request at the tail of the request queue for the scsi
device representing the scsi path being tested.
                                                                               
                                                     
Possibly the desire for this attribute could be
passed as a flag bit setting in the flag field of the sg_io_hdr
structure passed into the kernel as part of the test path ioctl(2).

[Ed Goggin, EMC]

Comment 1 Lars Marowsky-Bree 2005-04-21 20:15:56 UTC
I wish I understood the SG_IO ioctl() code path better...

Comment 2 Heather Conway 2006-01-16 19:11:19 UTC
Hasa any progress been made on this Bugzilla?
Thanks.
-H

Comment 3 John Poelstra 2008-07-08 03:38:21 UTC
Hi Alasdair,

Nothing has happened to this bug in three years.  Is it still relevant?

Thanks,
John

Comment 4 Christopher D. Stover 2008-10-22 20:53:42 UTC
The information we've requested above is required in order
to review this problem report further and diagnose or fix the
issue if it is still present.  Since it has been thirty days or
more since we first requested additional information, we're assuming
the problem is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested,
please feel free to reopen the bug report.

Thank you in advance.


Note You need to log in before you can comment on or make changes to this bug.